org.crosswire.jsword.book

## Class OSISUtil.OSISFactory

- java.lang.Object
- - org.crosswire.jsword.book.OSISUtil.OSISFactory

- Enclosing class:
    OSISUtil

      public static class OSISUtil.OSISFactory
      extends Object

  A generic way of creating empty Elements of various types

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `OSISUtil.OSISFactory()`

  - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `org.jdom2.Element` | `createAbbr()`
    `org.jdom2.Element` | `createCell()`
    `org.jdom2.Element` | `createDiv()`
    `org.jdom2.Element` | `createFigure()`
    `org.jdom2.Element` | `createForeign()`
    `org.jdom2.Element` | `createGeneratedTitle()` Create a title marked as generated.
    `org.jdom2.Element` | `createHeader()`
    `org.jdom2.Element` | `createHeaderCell()`
    `org.jdom2.Element` | `createHI()` Highlight
    `org.jdom2.Element` | `createItem()`
    `org.jdom2.Element` | `createL()` Line
    `org.jdom2.Element` | `createLB()` Line Break
    `org.jdom2.Element` | `createLG()` Line Group
    `org.jdom2.Element` | `createList()`
    `org.jdom2.Element` | `createName()`
    `org.jdom2.Element` | `createNote()`
    `org.jdom2.Element` | `createOsis()`
    `org.jdom2.Element` | `createOsisText()`
    `org.jdom2.Element` | `createP()`
    `org.jdom2.Element` | `createQ()`
    `org.jdom2.Element` | `createReference()`
    `org.jdom2.Element` | `createRow()`
    `org.jdom2.Element` | `createSeg()`
    `org.jdom2.Element` | `createSpeaker()`
    `org.jdom2.Element` | `createSpeech()`
    `org.jdom2.Element` | `createTable()`
    `org.jdom2.Text` | `createText(String text)` Text
    `org.jdom2.Element` | `createTitle()`
    `org.jdom2.Element` | `createVerse()`
    `org.jdom2.Element` | `createW()`
    `org.jdom2.Element` | `createWork()`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### OSISUtil.OSISFactory

          public OSISUtil.OSISFactory()

  - ### Method Detail

    - #### createAbbr

          public org.jdom2.Element createAbbr()

      Returns:
        an abbr element

    - #### createSeg

          public org.jdom2.Element createSeg()

      Returns:
        a seg element

    - #### createOsisText

          public org.jdom2.Element createOsisText()

      Returns:
        an osisText element

    - #### createHeader

          public org.jdom2.Element createHeader()

      Returns:
        a header element

    - #### createWork

          public org.jdom2.Element createWork()

      Returns:
        a work element

    - #### createOsis

          public org.jdom2.Element createOsis()

      Returns:
        an osis element

    - #### createDiv

          public org.jdom2.Element createDiv()

      Returns:
        a div element

    - #### createCell

          public org.jdom2.Element createCell()

      Returns:
        a cell element

    - #### createHeaderCell

          public org.jdom2.Element createHeaderCell()

      Returns:
        a header cell element (akin to HTML's TH)

    - #### createVerse

          public org.jdom2.Element createVerse()

      Returns:
        a verse element

    - #### createW

          public org.jdom2.Element createW()

      Returns:
        a w element

    - #### createFigure

          public org.jdom2.Element createFigure()

      Returns:
        a figure element

    - #### createForeign

          public org.jdom2.Element createForeign()

      Returns:
        a foreign element

    - #### createItem

          public org.jdom2.Element createItem()

      Returns:
        an item element

    - #### createP

          public org.jdom2.Element createP()

      Returns:
        a p element

    - #### createList

          public org.jdom2.Element createList()

      Returns:
        a list element

    - #### createQ

          public org.jdom2.Element createQ()

      Returns:
        a q element

    - #### createName

          public org.jdom2.Element createName()

      Returns:
        a name element

    - #### createNote

          public org.jdom2.Element createNote()

      Returns:
        a note element

    - #### createReference

          public org.jdom2.Element createReference()

      Returns:
        a reference element

    - #### createRow

          public org.jdom2.Element createRow()

      Returns:
        a row element

    - #### createSpeaker

          public org.jdom2.Element createSpeaker()

      Returns:
        a speaker element

    - #### createSpeech

          public org.jdom2.Element createSpeech()

      Returns:
        a speech element

    - #### createTable

          public org.jdom2.Element createTable()

      Returns:
        a table element

    - #### createTitle

          public org.jdom2.Element createTitle()

      Returns:
        a title element

    - #### createGeneratedTitle

          public org.jdom2.Element createGeneratedTitle()

      Create a title marked as generated.
      Returns:
        a generated title element

    - #### createLG

          public org.jdom2.Element createLG()

      Line Group
      Returns:
        a lg element

    - #### createL

          public org.jdom2.Element createL()

      Line
      Returns:
        a l element

    - #### createLB

          public org.jdom2.Element createLB()

      Line Break
      Returns:
        a lb element

    - #### createHI

          public org.jdom2.Element createHI()

      Highlight
      Returns:
        a hi element

    - #### createText

          public org.jdom2.Text createText(String text)

      Text
      Parameters:
        `text` - the text for this element
      Returns:
        a text element